package com.ruoyi.basicData.mapper;

import com.ruoyi.basicData.domain.TGoods;

import java.util.List;


/**
 * 商品详情Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface TGoodsMapper {
    /**
     * 查询商品详情
     *
     * @param fId 商品详情ID
     * @return 商品详情
     */
    public TGoods selectTGoodsById(Long fId);

    /**
     * 查询商品详情列表
     *
     * @param tGoods 商品详情
     * @return 商品详情集合
     */
    public List<TGoods> selectTGoodsList(TGoods tGoods);

    /**
     * 新增商品详情
     *
     * @param tGoods 商品详情
     * @return 结果
     */
    public int insertTGoods(TGoods tGoods);

    /**
     * 修改商品详情
     *
     * @param tGoods 商品详情
     * @return 结果
     */
    public int updateTGoods(TGoods tGoods);

    /**
     * 删除商品详情
     *
     * @param fId 商品详情ID
     * @return 结果
     */
    public int deleteTGoodsById(Long fId);

    /**
     * 批量删除商品详情
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGoodsByIds(Long[] fIds);

    /**
     *  检验编号唯一
     * @param fNo
     * @return
     */
    public TGoods checkFNoUnique(String fNo);

    /**
     *  检验名称
     * @param fNname
     * @return
     */
    public TGoods checkUFNnameUnique(String fNname);
}
